FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 01-16-2011, 06:52 AM
Mike Bird
 
Default ObsoleteConffilesOfInstalledPackages

Some people have expressed interested in obsolete config files
associated with currently installed packages.

Here's a (slow) script for finding them, plus the merged results
of running the script on a dozen servers and workstations - mostly
Lenny and a few Squeeze.

Output is space delimited, four fields:
debian-release package-name package-version obsolete-conffile

--Mike Bird
5.0.7 acpi-support 0.109-11 /etc/acpi/resume.d/13-915-resolution-set.sh
5.0.7 acpi-support 0.109-11 /etc/acpi/resume.d/49-915-resolution-set.sh
5.0.7 apache2.2-common 2.2.9-10+lenny9 /etc/apache2/mods-available/sick-hack-to-update-modules
5.0.7 base-files 5lenny8 /etc/nsswitch.conf
5.0.7 bash 3.2-4 /etc/bash_completion
5.0.7 bind9 1:9.6.ESV.R3+dfsg-0+lenny1 /etc/apparmor.d/apparmor-profile
5.0.7 bittorrent 3.4.2-11.1 /etc/default/bittorrent
5.0.7 bittorrent 3.4.2-11.1 /etc/init.d/bittorrent
5.0.7 bluez-utils 3.36-3 /etc/modprobe.d/bluez
5.0.7 bluez-utils 3.36-3 /etc/modutils/bluez
5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Editres.ad
5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Emacs.ad
5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/General.ad
5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Motif.ad
5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Tk.ad
5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Xaw.ad
5.0.7 clamav-daemon 0.96.5+dfsg-1~volatile1 /etc/default/clamav-daemon
5.0.7 clamav-freshclam 0.96.5+dfsg-1~volatile1 /etc/logrotate.d/clamav-freshclam
5.0.7 desktop-file-utils 0.15-1 /etc/gnome/defaults.list
5.0.7 e2fsprogs 1.41.3-1 /etc/e2fsck.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/20-lohit-gujarati.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/30-amt-aliases.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/40-generic.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/README
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/autohint.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/no-bitmaps.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/no-sub-pixel.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/sub-pixel.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/unhinted.conf
5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/yes-bitmaps.conf
5.0.7 freeradius 2.0.4+dfsg-6 /etc/freeradius/oraclesql.conf
5.0.7 freeradius 2.0.4+dfsg-6 /etc/freeradius/x99.conf
5.0.7 freeradius 2.0.4+dfsg-6 /etc/freeradius/x99passwd.sample
5.0.7 gconf2 2.22.0-1 /etc/gconf/2/path
5.0.7 gksu 2.0.0-8 /etc/gksu.conf
5.0.7 gnome-games 1:2.22.3-3 /etc/sound/events/gnibbles.soundlist
5.0.7 gnome-games 1:2.22.3-3 /etc/sound/events/gnobots2.soundlist
5.0.7 gnome-games 1:2.22.3-3 /etc/sound/events/iagno.soundlist
5.0.7 gnome-menus 2.22.2-4 /etc/xdg/menus/applications.menu
5.0.7 gnome-menus 2.22.2-4 /etc/xdg/menus/preferences.menu
5.0.7 gnome-menus 2.22.2-4 /etc/xdg/menus/settings.menu
5.0.7 gnome-panel-data 2.20.3-5 /etc/gnome-vfs-2.0/vfolders/applications.template
5.0.7 gnome-panel-data 2.20.3-5 /etc/menu-methods/gnome-panel-data
5.0.7 gnome-panel-data 2.20.3-5 /etc/menu-methods/gnome-vfolder-user
5.0.7 gnome-system-tools 2.22.0-4 /etc/gnome-system-tools/users/profiles.xml
5.0.7 hal 0.5.11-8 /etc/dev.d/block/hal-unmount.dev
5.0.7 hdparm 8.9-3 /etc/dev.d/block/hdparm.dev
5.0.7 icedove 2.0.0.24-0lenny1 /etc/icedove/global-config.js
5.0.7 iceweasel 3.0.6-3 /etc/iceweasel/profile/search.rdf
5.0.7 initramfs-tools 0.92o /etc/initramfs-tools/modules
5.0.7 java-common 0.30 /etc/jvm
5.0.7 kcontrol 4:3.5.9.dfsg.1-6+lenny1 /etc/hotplug/usb/logitechmouse
5.0.7 kcontrol 4:3.5.9.dfsg.1-6+lenny1 /etc/hotplug/usb/logitechmouse.usermap
5.0.7 kdemultimedia-kappfinder-data 4:3.5.9-2 /etc/xdg/menus/kde-applications-merged/kde-multimedia-music.menu
5.0.7 libapache2-mod-perl2 2.0.4-5+lenny1 /etc/apache2/mods-available/perl.conf
5.0.7 libgeoip1 1.4.4.dfsg-3+lenny1 /etc/GeoIP.conf.default
5.0.7 libgphoto2-2 2.4.1-3 /etc/hotplug/usb/libgphoto2
5.0.7 libgphoto2-2 2.4.1-3 /etc/udev/libgphoto2_generic_ptp_support.rules
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/apt.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/dhcp.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/disk.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/dummy.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/ftp.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/http.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/load.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/mail.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/news.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/ntp.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/ping.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/procs.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/real.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/ssh.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/tcp_udp.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/telnet.cfg
5.0.7 nagios-plugins-basic 1.4.12-5 /etc/nagios-plugins/config/users.cfg
5.0.7 netatalk 2.0.3-11+lenny1 /etc/netatalk/nls/maccode.437
5.0.7 netatalk 2.0.3-11+lenny1 /etc/netatalk/nls/maccode.850
5.0.7 netatalk 2.0.3-11+lenny1 /etc/netatalk/nls/maccode.iso8859-1
5.0.7 netatalk 2.0.3-11+lenny1 /etc/netatalk/nls/maccode.iso8859-1.adapted
5.0.7 netatalk 2.0.3-11+lenny1 /etc/netatalk/nls/maccode.koi8-r
5.0.7 netbase 4.34 /etc/networks
5.0.7 ntp 1:4.2.4p4+dfsg-8lenny3 /etc/dhcp3/dhclient-enter-hooks.d/ntp
5.0.7 ntp 1:4.2.4p4+dfsg-8lenny3 /etc/network/if-up.d/ntp
5.0.7 powermgmt-base 1.30+nmu1 /etc/devfs/conf.d/apm
5.0.7 powermgmt-base 1.30+nmu1 /etc/modutils/apm
5.0.7 ppp 2.4.4rel-10.1 /etc/ppp/pppoe_on_boot
5.0.7 pppoe 3.8-3 /etc/ppp/ppp_on_boot.dsl
5.0.7 udev 0.125-7+lenny3 /etc/udev/permissions.d/udev.permissions
5.0.7 udev 0.125-7+lenny3 /etc/udev/scripts/removable.sh
6.0 apache2.2-common 2.2.16-6 /etc/apache2/mods-available/sick-hack-to-update-modules
6.0 base-files 6.0 /etc/nsswitch.conf
6.0 bash 4.1-3 /etc/bash_completion
6.0 bind9 1:9.7.2.dfsg.P3-1 /etc/apparmor.d/apparmor-profile
6.0 bittorrent 3.4.2-11.3 /etc/default/bittorrent
6.0 bittorrent 3.4.2-11.3 /etc/init.d/bittorrent
6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Editres.ad
6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Emacs.ad
6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/General.ad
6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Motif.ad
6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Tk.ad
6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Xaw.ad
6.0 capplets-data 1:2.30.1-2 /etc/gnome-vfs-2.0/modules/font-method.conf
6.0 capplets-data 1:2.30.1-2 /etc/gnome-vfs-2.0/modules/theme-method.conf
6.0 capplets-data 1:2.30.1-2 /etc/xdg/autostart/gnome-at-session.desktop
6.0 clamav-daemon 0.96.5+dfsg-1 /etc/default/clamav-daemon
6.0 clamav-freshclam 0.96.5+dfsg-1 /etc/logrotate.d/clamav-freshclam
6.0 cmake 2.8.2-2 /etc/emacs/site-start.d/50cmake.el
6.0 cups 1.4.4-7 /etc/cups/acroread.conf
6.0 cups 1.4.4-7 /etc/cups/mime.convs
6.0 cups 1.4.4-7 /etc/cups/mime.types
6.0 cups 1.4.4-7 /etc/cups/oopstops.convs
6.0 cups 1.4.4-7 /etc/cups/oopstops.types
6.0 cups 1.4.4-7 /etc/cups/pdftops.conf
6.0 dhcp3-client 4.1.1-P1-15 /etc/dhcp3/dhclient.conf
6.0 dhcp3-client 4.1.1-P1-15 /etc/dhcp3/dhclient-enter-hooks.d/debug
6.0 dhcp3-client 4.1.1-P1-15 /etc/dhcp3/dhclient-exit-hooks.d/debug
6.0 dhcp3-client 4.1.1-P1-15 /etc/dhcp3/dhclient-exit-hooks.d/rfc3442-classless-routes
6.0 e2fsprogs 1.41.12-2 /etc/e2fsck.conf
6.0 file 5.04-5 /etc/magic
6.0 file 5.04-5 /etc/magic.mime
6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/20-lohit-gujarati.conf
6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/30-amt-aliases.conf
6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/40-generic.conf
6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/README
6.0 gnome-games 1:2.30.2-2 /etc/sound/events/gnibbles.soundlist
6.0 gnome-games 1:2.30.2-2 /etc/sound/events/gnobots2.soundlist
6.0 gnome-games 1:2.30.2-2 /etc/sound/events/iagno.soundlist
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Editres.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Emacs.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/General.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Motif.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Tk.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Xaw.ad
6.0 gsfonts 1:8.11+urwcyr1.0.7~pre44-4.2 /etc/defoma/hints/gsfonts.hints
6.0 hdparm 9.32-1 /etc/dev.d/block/hdparm.dev
6.0 icedove 3.0.11-1+b1 /etc/icedove/global-config.js
6.0 icedove 3.0.11-1+b1 /etc/icedove/profile/US/localstore.rdf
6.0 icedove 3.0.11-1+b1 /etc/icedove/profile/US/mimeTypes.rdf
6.0 iceweasel 3.5.16-4 /etc/iceweasel/profile/search.rdf
6.0 kdebase-data 4:4.4.5-1 /etc/kde3/kshorturifilterrc
6.0 kdebase-data 4:4.4.5-1 /etc/xdg/menus/applications-merged/kde-essential.menu
6.0 kdebase-data 4:4.4.5-1 /etc/xdg/menus/kde-information.menu
6.0 kdebase-data 4:4.4.5-1 /etc/xdg/menus/kde-screensavers.menu
6.0 kdebase-data 4:4.4.5-1 /etc/xdg/menus/kde-settings.menu
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/backgroundrc
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/kdm.options
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/kdmrc
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/Xaccess
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/Xreset
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/Xsession
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/Xsetup
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/Xstartup
6.0 kdm 4:4.4.5-6 /etc/kde3/kdm/Xwilling
6.0 libapache2-mod-perl2 2.0.4-7 /etc/apache2/mods-available/perl.conf
6.0 libgeoip1 1.4.7~beta6+dfsg-1 /etc/GeoIP.conf.default
6.0 libgphoto2-2 2.4.6-3 /etc/hotplug/usb/libgphoto2
6.0 minicom 2.4-3 /etc/minicom/minicom.users
6.0 netbase 4.44 /etc/networks
6.0 seahorse 2.30.1-2 /etc/X11/Xsession.d/60seahorse
6.0 system-tools-backends 2.10.1-2 /etc/dbus-1/system.d/system-tools-backends.conf
6.0 ttf-bitstream-vera 1.10-8 /etc/defoma/hints/ttf-bitstream-vera.hints
6.0 ttf-dustin 20030517-7 /etc/defoma/hints/ttf-dustin.hints
6.0 udev 164-3 /etc/udev/permissions.d/udev.permissions
6.0 udev 164-3 /etc/udev/scripts/removable.sh
6.0 xserver-xorg-input-wacom 0.10.5+20100416-1 /etc/udev/rules.d/z60_xserver-xorg-input-wacom.rules
 
Old 01-16-2011, 07:15 PM
Roger Leigh
 
Default ObsoleteConffilesOfInstalledPackages

On Sat, Jan 15, 2011 at 11:52:34PM -0800, Mike Bird wrote:
> Some people have expressed interested in obsolete config files
> associated with currently installed packages.
>
> Here's a (slow) script for finding them, plus the merged results
> of running the script on a dozen servers and workstations - mostly
> Lenny and a few Squeeze.
>
> Output is space delimited, four fields:
> debian-release package-name package-version obsolete-conffile

The main problem with this script is that all it does is spit out
the available information. It doesn't actually check if the user
modified one of the conffiles. An example is attached. Modifying
it to automatically purge "safe" packages where the user made no
modifications would be fairly trivial.

--
.'`. Roger Leigh
: :' : Debian GNU/Linux http://people.debian.org/~rleigh/
`. `' Printing on GNU/Linux? http://gutenprint.sourceforge.net/
`- GPG Public Key: 0x25BFB848 Please GPG sign your mail.
#!/bin/sh
#
# Check if a package may safely be purged. A package is considered
# safe to purge if none of its conffiles have been changed from the
# default (i.e. its MD5SUMS match the original).
#
# Copyright 2011 Roger Leigh <rleigh@debian.org>
#
################################################## ##############################

set -e

dpkg --get-selections | grep 'deinstall$' | awk '{print $1}' | while read pkg
do
echo "Checking $pkg..."

(dpkg-query -W -f '${Conffiles}' "$pkg"; echo ') | while read line
do
if [ -n "$line" ]; then
FILE="$(echo "$line" | sed -e 's/^[[:space:]]*([[rint:]][[rint:]]*)[[:space:]][[:space:]]*([0-9a-f][0-9a-f]*).*/1/')"
OLDMD5="$(echo "$line" | sed -e 's/^[[:space:]]*([[rint:]][[rint:]]*)[[:space:]][[:space:]]*([0-9a-f][0-9a-f]*).*/2/')"
NEWMD5="$(md5sum "$FILE" | sed -e 's/^([0-9a-f][0-9a-f]*)[[:space:]][[:space:]]*([[rint:]][[rint:]]*)$/1/')"

echo -n "$FILE"
if [ "$OLDMD5" != "$NEWMD5" ]; then
echo ' keep'
else
echo ' purge'
fi
fi
done
done
 
Old 01-16-2011, 07:23 PM
Mike Bird
 
Default ObsoleteConffilesOfInstalledPackages

On Sun January 16 2011 12:15:18 Roger Leigh wrote:
> The main problem with this script is that all it does is spit out
> the available information. It doesn't actually check if the user
> modified one of the conffiles. An example is attached. Modifying
> it to automatically purge "safe" packages where the user made no
> modifications would be fairly trivial.

Hi Roger,

There are no removed packages on our systems. Obsolete conffiles
are unused and unusable, whether or not modified by the sysadmin.

The obsolete conffiles here belong to properly installed packages.

This data was collected not with a view to purging packages but
rather with a view to determining the prevalance of the problem
and ultimately a low-priority mass bug filing.

--Mike Bird


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201101161223.24280.mgb-debian@yosemite.net">http://lists.debian.org/201101161223.24280.mgb-debian@yosemite.net
 
Old 01-17-2011, 07:25 AM
Jonathan Nieder
 
Default ObsoleteConffilesOfInstalledPackages

Mike Bird wrote:

> Some people have expressed interested in obsolete config files
> associated with currently installed packages.
[...]

Correct behavior is to remove obsolete _unmodified_ conffiles,
as Roger mentioned. Which of the conffiles mentioned below were
modified? No way to know just yet.

I. Known bugs

> 5.0.7 bittorrent 3.4.2-11.1 /etc/init.d/bittorrent
> 5.0.7 bittorrent 3.4.2-11.1 /etc/default/bittorrent
> 6.0 bittorrent 3.4.2-11.3 /etc/init.d/bittorrent
> 6.0 bittorrent 3.4.2-11.3 /etc/default/bittorrent

http://bugs.debian.org/550229

> 5.0.7 bluez-utils 3.36-3 /etc/modprobe.d/bluez
> 5.0.7 bluez-utils 3.36-3 /etc/modutils/bluez

http://bugs.debian.org/523050

II. Known non-bugs

> 5.0.7 base-files 5lenny8 /etc/nsswitch.conf

2006-03-04, base-files (3.1.11):

* The file /etc/nsswitch.conf is now created by postinst in the first
install (made by debootstrap), and it's no longer a conffile.

> 5.0.7 bash 3.2-4 /etc/bash_completion

2008-02-09, bash (3.1dfsg-9):

* Remove bash-completion from the source.
* Remove the conflict with bash-completion, recommend bash-completion.

> 5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Editres.ad
> 5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Emacs.ad
> 5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/General.ad
> 5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Motif.ad
> 5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Tk.ad
> 5.0.7 capplets-data 1:2.22.2.1-2 /etc/gnome/config/Xaw.ad
> 6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Editres.ad
> 6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Emacs.ad
> 6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/General.ad
> 6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Motif.ad
> 6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Tk.ad
> 6.0 capplets-data 1:2.30.1-2 /etc/gnome/config/Xaw.ad

2008-12-27, gnome-settings-daemon (2.24.1-1):

* Install .ad files in /etc/gnome/config to replace the ones from
capplets-data which are still used.

> 5.0.7 clamav-freshclam 0.96.5+dfsg-1~volatile1 /etc/logrotate.d/clamav-freshclam
> 6.0 clamav-freshclam 0.96.5+dfsg-1 /etc/logrotate.d/clamav-freshclam

Still needed. /var/lib/ucf/hashfile keeps track of it.

> 5.0.7 desktop-file-utils 0.15-1 /etc/gnome/defaults.list

2009-03-19, gnome-session (2.22.3-3):
* defaults.list: move the defaults from gnome-vfs.
+ Add some subtypes of text/plain to gedit defaults.

> 5.0.7 gconf2 2.22.0-1 /etc/gconf/2/path

Intended to be present (included in new installations, not a ghost
from the past). Not a conffile any more.

III. Indeterminate (probably bugs but need checking)

> 5.0.7 acpi-support 0.109-11 /etc/acpi/resume.d/13-915-resolution-set.sh
> 5.0.7 acpi-support 0.109-11 /etc/acpi/resume.d/49-915-resolution-set.sh

2008-05-12, acpi-support (0.109-1):

* Remove /etc/acpi/resume.d/49-915-resolution-set.sh. It will be moved to
the 915resolution package. Closes: #447742, #467347.

> 5.0.7 apache2.2-common 2.2.9-10+lenny9 /etc/apache2/mods-available/sick-hack-to-update-modules

2007-07-01, apache2 (2.2.4-1):

* remove sick-hack-to-update-modules

> 5.0.7 bind9 1:9.6.ESV.R3+dfsg-0+lenny1 /etc/apparmor.d/apparmor-profile

renamed to usr.sbin.named, 2008-03-01, bind9 (1:9.4.2-6):

* Correct apparmor profile filename. LP: #200739

> 5.0.7 clamav-daemon 0.96.5+dfsg-1~volatile1 /etc/default/clamav-daemon
> 6.0 clamav-daemon 0.96.5+dfsg-1 /etc/default/clamav-daemon

2008-11-29, clamav (0.94.dfsg.2-1), checked by interdiff:

* The TemporaryDirectory option has been added long ago, no need for hacks
via clamav-daemon.default anymore (closes: #253080)

> 5.0.7 e2fsprogs 1.41.3-1 /etc/e2fsck.conf

An odd one. Maybe /etc/lsb-release said Ubuntu once for some reason?

> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/README
> 6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/README

2008-05-24, fontconfig (2.5.93-1):

* Stick config README in /etc/fonts.conf.d (closes: 393999)

> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/autohint.conf
> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/no-bitmaps.conf
> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/no-sub-pixel.conf
> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/sub-pixel.conf
> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/unhinted.conf
> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.d/yes-bitmaps.conf

Strange. fontconfig.preinst should have taken care of this during the
upgrade to >= 2.3.2-2.

> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/20-lohit-gujarati.conf
> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/30-amt-aliases.conf
> 5.0.7 fontconfig-config 2.6.0-3 /etc/fonts/conf.avail/40-generic.conf
> 6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/20-lohit-gujarati.conf
> 6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/30-amt-aliases.conf
> 6.0 fontconfig-config 2.8.0-2.1 /etc/fonts/conf.avail/40-generic.conf

Various upstream changes. Probably a bug (why are these conffiles,
anyway?).

> 5.0.7 gksu 2.0.0-8 /etc/gksu.conf

2005-08-08, gksu (1.3.2-2):

* debian/gksu.postinst:
- run the gksu.conf to gconf migration script

Keeping the file around when it is unchanged from default is probably
a bug.

The rest (starting with /etc/freeradius/oraclesql.conf) still need
investigation; maybe some other interested person will want to pick up
where I left off.

Heop that helps,
Jonathan


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110117082553.GA14804@burratino">http://lists.debian.org/20110117082553.GA14804@burratino
 
Old 01-22-2011, 12:58 AM
Andrew Engelbrecht
 
Default ObsoleteConffilesOfInstalledPackages

Great script!

It took only about several minutes to run and the output was a lot
shorter than I expected.

I've attached my results if anyone is interested. (My system was
upgraded from lenny to squeeze about a month ago.)

Thanks,
-Andrew
6.0 capplets-data 1:2.30.1-2 /etc/gnome-vfs-2.0/modules/theme-method.conf
6.0 capplets-data 1:2.30.1-2 /etc/gnome-vfs-2.0/modules/font-method.conf
6.0 capplets-data 1:2.30.1-2 /etc/xdg/autostart/gnome-at-session.desktop
6.0 cups 1.4.4-7 /etc/cups/oopstops.convs
6.0 cups 1.4.4-7 /etc/cups/mime.types
6.0 cups 1.4.4-7 /etc/cups/oopstops.types
6.0 cups 1.4.4-7 /etc/cups/acroread.conf
6.0 cups 1.4.4-7 /etc/cups/mime.convs
6.0 cups 1.4.4-7 /etc/cups/pdftops.conf
6.0 epiphany-browser-data 2.30.6-1 /etc/gnome/epiphany/default-prefs.js
6.0 file 5.04-5 /etc/magic.mime
6.0 file 5.04-5 /etc/magic
6.0 gnome-session 2.30.2-3 /etc/X11/Xsession.d/55gnome-session_gnomerc
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Xaw.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Tk.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Motif.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Emacs.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/Editres.ad
6.0 gnome-settings-daemon 2.30.2-2 /etc/gnome/config/xrdb/General.ad
6.0 gsfonts 1:8.11+urwcyr1.0.7~pre44-4.2 /etc/defoma/hints/gsfonts.hints
6.0 seahorse 2.30.1-2 /etc/X11/Xsession.d/60seahorse
6.0 system-tools-backends 2.10.1-2 /etc/dbus-1/system.d/system-tools-backends.conf
 

Thread Tools




All times are GMT. The time now is 02:50 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org